package cz.moneta.test.dsl.auto.smartauto.shared;

import lombok.Getter;

@Getter
public class CompanyData {
    private Company company;
    private Address companyContactAddress;
    private String companyPhoneNumber;
    private String companyOtherPhoneNumber;
    private String companyEmail;
    private String companyName;
    private String companyStreet;
    private int companyResidenceNumber;
    private int companyOrientationNumber;
    private int companyZipCode;
    private String companyCity;
    private Nationality companyCountry;
    private Ico ico;

    public CompanyData setCompany(Company company) {
        this.company = company;
        return this;
    }

    public CompanyData setCompanyContactAddress(Address companyContactAddress) {
        this.companyContactAddress = companyContactAddress;
        return this;
    }

    public CompanyData setCompanyPhoneNumber(String companyPhoneNumber) {
        this.companyPhoneNumber = companyPhoneNumber;
        return this;
    }

    public CompanyData setCompanyOtherPhoneNumber(String companyOtherPhoneNumber) {
        this.companyOtherPhoneNumber = companyOtherPhoneNumber;
        return this;
    }

    public CompanyData setCompanyEmail(String companyEmail) {
        this.companyEmail = companyEmail;
        return this;
    }


    public CompanyData setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public CompanyData setCompanyStreet(String companyStreet) {
        this.companyStreet = companyStreet;
        return this;
    }

    public CompanyData setCompanyResidenceNumber(int companyResidenceNumber) {
        this.companyResidenceNumber = companyResidenceNumber;
        return this;
    }

    public CompanyData setCompanyOrientationNumber(int companyOrientationNumber) {
        this.companyOrientationNumber = companyOrientationNumber;
        return this;
    }

    public CompanyData setCompanyZipCode(int companyZipCode) {
        this.companyZipCode = companyZipCode;
        return this;
    }

    public CompanyData setCompanyCity(String companyCity) {
        this.companyCity = companyCity;
        return this;
    }

    public CompanyData setCompanyCountry(Nationality companyCountry) {
        this.companyCountry = companyCountry;
        return this;
    }

    public CompanyData setIco(Ico ico) {
        this.ico = ico;
        return this;
    }
}
